API ReferenceWebhook Endpoints

Create webhook endpointv3.1

POST
/api/v3.1/webhook_endpoints

Creates a shared webhook endpoint for a toolkit + OAuth app + project. Returns the webhook URL that the customer registers in their app dashboard. Idempotent — returns existing endpoint if one already exists for this toolkit + client_id + project.

Authorization

ApiKeyAuth
x-api-key<token>

Project API key authentication

In: header

Request Body

application/json

toolkit_slugstringRequired

Toolkit identifier (e.g., slack, discord)

client_idstringRequired

OAuth app client ID — identifies which app this endpoint is for

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

import requestsurl = "https://example.com/api/v3.1/webhook_endpoints"body = """{  "toolkit_slug": "string",  "client_id": "string"}"""response = requests.request("POST", url, data = body, headers = {  "Content-Type": "application/json"})print(response.text)
{  "id": "string",  "toolkit_slug": "string",  "client_id": "string",  "webhook_url": "string",  "data": {    "property1": "string",    "property2": "string"  },  "created_at": "string"}